Snapin Update Fail after upgrading to 1.5.7



  • Hi there,

    apologies if this is somewhere duplicate. I have recently updated from 1.5.5 to 1.5.7, all was fine in 1.5.5. Did not do any configuration changes during install.

    Since update, I am unable to update or create snap-in that require a file upload, error reads:

    Snapin Update Fail

    Type:2, File: /var/www/fog/lib/fog/fogftp.class.php, Line:464, Message: ftp_login(): OOPS: cannot change directory:/home/fogproject, Host: 192.168.0.4, Username: fogproject

    Screenshot 2019-11-27 at 11.32.56.png

    This path /home/fogproject has never been configured my installation (folder does not even exist), and can not find this config line in the fog options files. As a workaround, I have symlinked

    ln -s /opt/fog/ /home/fogproject

    and seems to do the trick, but would like a neater solution.

    Anyone has an idea of where to cahneg that setting ?

    Thanks a lot, best regards, Luis.


  • Senior Developer

    @lperoma The grep error can be ignored.



  • @Sebastian-Roth

    Hi there.

    I am using FOG on Debian 9. Previous install folder was /opt/fog, snapins are there.

    Now that you say so, yes it’s possible due to a rsync that folder has been deleted.

    I have recreated user & folder and looks like it’s working now. I get this error during install:

    Locking fogproject as a system account…grep: /home/fogproject/.bashrc: No such file or directory
    OK
    

    Not sure it it’s important. Thanks so much for your help. Luis.



  • This post is deleted!

  • Senior Developer

    @lperoma Looking at the installer scripts again I think that the installer should have failed if it had not created that directory - see here.

    So possibly it was deleted unintendedly?


  • Senior Developer

    @lperoma said in Snapin Update Fail after upgrading to 1.5.7:

    This path /home/fogproject has never been configured my installation (folder does not even exist),

    What Linux OS are you on? This shouldn’t be the case! Directory should be created by the installer.

    In 1.5.7 we changed from the earlier user fog to fogproject and this is why you see the problem on upgrade from 1.5.5 to 1.5.7. But still I wonder why the directory wasn’ created.


Log in to reply
 

285
Online

7.4k
Users

14.5k
Topics

136.5k
Posts